import { NextApiRequest, NextApiResponse } from "next";

let data = [
  {
    name: "Sample Project",
    description: "Sample Description",
    kycEnable: true,
    consumerEnable: false,
  },
];

export default function handler(req: NextApiRequest, res: NextApiResponse) {
  if (req.method === "GET") {
    return res.status(200).json({ data });
  }

  if (req.method === "POST") {
    const { name, description, kycEnable, consumerEnable } = req.body;
    data.push({ name, description, kycEnable, consumerEnable });
    return res.status(201).json({ message: "Entry created successfully" });
  }

  return res.status(405).end(); // Method Not Allowed
}